read.gps {oce} | R Documentation

## Read a GPS File

### Description

Reads GPX format files by simply finding all longitudes and latitudes; in other words, information on separate tracks, or waypoints, etc., is lost.

### Usage

    read.gps(file, type = NULL, debug = getOption("oceDebug"), processingLog)

### Arguments

`file` | name of file containing gps data.
`type` | type of file, which will be inferred from examination of the data if not supplied. In the present version, the only choice for `type` is `"gpx"`.
`debug` | set to TRUE to print information about the header, etc.
`processingLog` | if provided, the action item to be stored in the log. (Typically only provided for internal calls; the default that it provides is better for normal calls by a user.)

### Value

An object of `class` `"gps"`.

### Author(s)

Dan Kelley

### See Also

Other things related to `gps` data: `[[,gps-method`, `[[<-,gps-method`, `as.gps`, `gps-class`, `plot,gps-method`, `summary,gps-method`

[Package oce version 0.9-22 Index]